org.springframework.web.servlet.i18n

## Class FixedLocaleResolver

- java.lang.Object
- - org.springframework.web.servlet.i18n.AbstractLocaleResolver
  - - org.springframework.web.servlet.i18n.AbstractLocaleContextResolver
    - - org.springframework.web.servlet.i18n.FixedLocaleResolver

- All Implemented Interfaces:
    LocaleContextResolver, LocaleResolver

      public class FixedLocaleResolver
      extends AbstractLocaleContextResolver

  `LocaleResolver` implementation that always returns a fixed default locale and optionally time zone. Default is the current JVM's default locale.

  Note: Does not support `setLocale(Context)`, as the fixed locale and time zone cannot be changed.

  Since:
    1.1
  Author:
    Juergen Hoeller
  See Also:
    `AbstractLocaleResolver.setDefaultLocale(java.util.Locale)`, `AbstractLocaleContextResolver.setDefaultTimeZone(java.util.TimeZone)`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FixedLocaleResolver()` Create a default FixedLocaleResolver, exposing a configured default locale (or the JVM's default locale as fallback).
    `FixedLocaleResolver(Locale locale)` Create a FixedLocaleResolver that exposes the given locale.
    `FixedLocaleResolver(Locale locale, TimeZone timeZone)` Create a FixedLocaleResolver that exposes the given locale and time zone.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Locale` | `resolveLocale(HttpServletRequest request)` Resolve the current locale via the given request.
    `LocaleContext` | `resolveLocaleContext(HttpServletRequest request)` Resolve the current locale context via the given request.
    `void` | `setLocaleContext(HttpServletRequest request, HttpServletResponse response, LocaleContext localeContext)` Set the current locale context to the given one, potentially including a locale with associated time zone information.

    - ### Methods inherited from class org.springframework.web.servlet.i18n.AbstractLocaleContextResolver

      `getDefaultTimeZone, setDefaultTimeZone, setLocale`

    - ### Methods inherited from class org.springframework.web.servlet.i18n.AbstractLocaleResolver

      `getDefaultLocale, setDefaultLocale`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FixedLocaleResolver

          public FixedLocaleResolver()

      Create a default FixedLocaleResolver, exposing a configured default locale (or the JVM's default locale as fallback).
      See Also:
        `AbstractLocaleResolver.setDefaultLocale(java.util.Locale)`, `AbstractLocaleContextResolver.setDefaultTimeZone(java.util.TimeZone)`

    - #### FixedLocaleResolver

          public FixedLocaleResolver(Locale locale)

      Create a FixedLocaleResolver that exposes the given locale.
      Parameters:
        `locale` - the locale to expose

    - #### FixedLocaleResolver

          public FixedLocaleResolver(Locale locale,
                                     TimeZone timeZone)

      Create a FixedLocaleResolver that exposes the given locale and time zone.
      Parameters:
        `locale` - the locale to expose
        `timeZone` - the time zone to expose

  - ### Method Detail

    - #### resolveLocale

          public Locale resolveLocale(HttpServletRequest request)

      Description copied from interface: `LocaleResolver`
      Resolve the current locale via the given request. Can return a default locale as fallback in any case.
      Specified by:
        `resolveLocale` in interface `LocaleResolver`
      Overrides:
        `resolveLocale` in class `AbstractLocaleContextResolver`
      Parameters:
        `request` - the request to resolve the locale for
      Returns:
        the current locale (never `null`)

    - #### resolveLocaleContext

          public LocaleContext resolveLocaleContext(HttpServletRequest request)

      Description copied from interface: `LocaleContextResolver`
      Resolve the current locale context via the given request.

      This is primarily intended for framework-level processing; consider using `RequestContextUtils` or `RequestContext` for application-level access to the current locale and/or time zone.

      The returned context may be a `TimeZoneAwareLocaleContext`, containing a locale with associated time zone information. Simply apply an `instanceof` check and downcast accordingly.

      Custom resolver implementations may also return extra settings in the returned context, which again can be accessed through downcasting.

      Parameters:
        `request` - the request to resolve the locale context for
      Returns:
        the current locale context (never `null`
      See Also:
        `LocaleResolver.resolveLocale(HttpServletRequest)`, `RequestContextUtils.getLocale(javax.servlet.http.HttpServletRequest)`, `RequestContextUtils.getTimeZone(javax.servlet.http.HttpServletRequest)`

    - #### setLocaleContext

          public void setLocaleContext(HttpServletRequest request,
                                       HttpServletResponse response,
                                       LocaleContext localeContext)

      Description copied from interface: `LocaleContextResolver`
      Set the current locale context to the given one, potentially including a locale with associated time zone information.
      Parameters:
        `request` - the request to be used for locale modification
        `response` - the response to be used for locale modification
        `localeContext` - the new locale context, or `null` to clear the locale
      See Also:
        `LocaleResolver.setLocale(HttpServletRequest, HttpServletResponse, Locale)`, `SimpleLocaleContext`, `SimpleTimeZoneAwareLocaleContext`